package com.logwire.bhft.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Infomation implements Serializable {

    private static final long serialVersionUID = 1L;

    private String parkUUID;

    private Long requestTime;

    private String terminalId;

    private String requestId;

    private String sign;

    private String version;

    private String service;

    private String parkType;

    private String plateNo;

    private String vehicleType;

    // 这是个对象
    private String plateParseInfo;

    private Long entryTime;

    private String entryId;

    private Long exitTime;

    private String exitId;

    private Long tradeTime;

    private String tollRateVersion;

    private String tradeType;

    private float account;

    private float cash;

    private String entryPhoto;

    private String exitPhoto;

    private String tollCollectorName;

    private String useType;

    private String areaId;

    private String slotId;

    private Boolean booking;

    // 这是个对象
    private Object parkingDetail;



    // 修改


    public String getParkUUID() {
        return parkUUID;
    }

    public void setParkUUID(String parkUUID) {
        this.parkUUID = parkUUID;
    }

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    public String getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(String terminalId) {
        this.terminalId = terminalId;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getParkType() {
        return parkType;
    }

    public void setParkType(String parkType) {
        this.parkType = parkType;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType;
    }

    public String getPlateParseInfo() {
        return plateParseInfo;
    }

    public void setPlateParseInfo(String plateParseInfo) {
        this.plateParseInfo = plateParseInfo;
    }

    public Long getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(Long entryTime) {
        this.entryTime = entryTime;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public Long getExitTime() {
        return exitTime;
    }

    public void setExitTime(Long exitTime) {
        this.exitTime = exitTime;
    }

    public String getExitId() {
        return exitId;
    }

    public void setExitId(String exitId) {
        this.exitId = exitId;
    }

    public Long getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(Long tradeTime) {
        this.tradeTime = tradeTime;
    }

    public String getTollRateVersion() {
        return tollRateVersion;
    }

    public void setTollRateVersion(String tollRateVersion) {
        this.tollRateVersion = tollRateVersion;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public float getAccount() {
        return account;
    }

    public void setAccount(float account) {
        this.account = account;
    }

    public float getCash() {
        return cash;
    }

    public void setCash(float cash) {
        this.cash = cash;
    }

    public String getEntryPhoto() {
        return entryPhoto;
    }

    public void setEntryPhoto(String entryPhoto) {
        this.entryPhoto = entryPhoto;
    }

    public String getExitPhoto() {
        return exitPhoto;
    }

    public void setExitPhoto(String exitPhoto) {
        this.exitPhoto = exitPhoto;
    }

    public String getTollCollectorName() {
        return tollCollectorName;
    }

    public void setTollCollectorName(String tollCollectorName) {
        this.tollCollectorName = tollCollectorName;
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getSlotId() {
        return slotId;
    }

    public void setSlotId(String slotId) {
        this.slotId = slotId;
    }

    public Boolean getBooking() {
        return booking;
    }

    public void setBooking(Boolean booking) {
        this.booking = booking;
    }

    public Object getParkingDetail() {
        return parkingDetail;
    }

    public void setParkingDetail(Object parkingDetail) {
        this.parkingDetail = parkingDetail;
    }

    @Override
    public String toString() {
        return "Infomation{" +
                "parkUUID='" + parkUUID + '\'' +
                ", requestTime=" + requestTime +
                ", terminalId='" + terminalId + '\'' +
                ", requestId='" + requestId + '\'' +
                ", sign='" + sign + '\'' +
                ", version='" + version + '\'' +
                ", service='" + service + '\'' +
                ", parkType='" + parkType + '\'' +
                ", plateNo='" + plateNo + '\'' +
                ", vehicleType='" + vehicleType + '\'' +
                ", plateParseInfo='" + plateParseInfo + '\'' +
                ", entryTime=" + entryTime +
                ", entryId='" + entryId + '\'' +
                ", exitTime=" + exitTime +
                ", exitId='" + exitId + '\'' +
                ", tradeTime=" + tradeTime +
                ", tollRateVersion='" + tollRateVersion + '\'' +
                ", tradeType='" + tradeType + '\'' +
                ", account=" + account +
                ", cash=" + cash +
                ", entryPhoto='" + entryPhoto + '\'' +
                ", exitPhoto='" + exitPhoto + '\'' +
                ", tollCollectorName='" + tollCollectorName + '\'' +
                ", useType='" + useType + '\'' +
                ", areaId='" + areaId + '\'' +
                ", slotId='" + slotId + '\'' +
                ", booking=" + booking +
                ", parkingDetail=" + parkingDetail +
                '}';
    }
}
